Bug 508474 - Installer allows illegal passwords for encrypted storage
Installer allows illegal passwords for encrypted storage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-27 11:28 EDT by Michael Monreal
Modified: 2010-06-28 09:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:20:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Monreal 2009-06-27 11:28:15 EDT
The F11 installer allows to setup encrypted partitions. The problem: it allows to use characters which you won't be able to input during boot.

Example: create a partition with password containing the character "ü", the installer will not complain or warn about this.

I think the problem is that at the time of the password check no special keyboard driver (german in this case) is loaded. If you press "ü", the password prompt gets stuck.

Note that at this point the boot will fail even if you try to cancel the password prompt (of a non-essential encrypted partition) which should also NOT be the case I think.

Feel free to re-assign to the component handling the password check at boot or some other.
Comment 1 Chris Lumens 2009-07-06 11:11:04 EDT
This sounds like something that should be handled in the glorious future of the initrd.
Comment 2 Harald Hoyer 2009-07-13 03:44:13 EDT
dracut sets the right keyboard layout, as does mkinitrd/nash

reassigning to plymouth, which handles the password prompt
Comment 3 Michael Monreal 2009-07-13 10:42:14 EDT
(In reply to comment #2)
> reassigning to plymouth, which handles the password prompt  

Sure about that? The installation was done with nomodeset, so the installation is using text-plymouth. At the time of the password prompt I was seeing the plain old console however.
Comment 4 Charlie Brej 2009-07-13 10:49:58 EDT
Yeah, the problem is with plymouth. I am working on it right now. The problem is that we were using the libc locale based wide character functions which do not work if we have no access to /usr/lib/. And we cant mount /usr/ without a password...

Cryptsetup is unaffected because it doesn't try to separate the password into character elements.
Comment 5 Michael Monreal 2009-07-13 11:12:01 EDT
(In reply to comment #4)
> The problem
> is that we were using the libc locale based wide character functions which do
> not work if we have no access to /usr/lib/. And we cant mount /usr/ without a
> password...

Well in this case / could have been mounted without a pw because it was not encrypted?
Comment 6 Bug Zapper 2010-04-27 11:18:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 09:20:24 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.